// Configure your import map in config/importmap.rb. Read more: https://github.com/rails/importmap-rails
import "@hotwired/turbo-rails"
import "trix"
import "@rails/actiontext"
import { Application } from "@hotwired/stimulus"
import { eagerLoadControllersFrom } from "@hotwired/stimulus-loading"
import { createIcons, icons } from "lucide-static";

document.addEventListener("turbo:load", () => {
  createIcons({ icons });
});

const application = Application.start()
eagerLoadControllersFrom("controllers", application)

